#ifndef _PACKET_ISI_H
#define _PACKET_ISI_H

#include <epan/expert.h>

/* Wireshark ID of the protocol */
extern int proto_isi;

/* Subtree variables */
extern gint32 ett_isi_msg;
extern gint32 ett_isi_network_gsm_band_info;
extern gint32 ett_isi_info;

extern gint32 hf_isi_res;

void dissect_isi_common(const char *resource, tvbuff_t *tvb, packet_info *pinfo, proto_tree *tree);
void dissect_isi_subpacket(gint32 hf_sub_type, guint8 offset, tvbuff_t *tvb, packet_info *pinfo, proto_item *item, proto_tree *tree, void (*detail_cb)(guint8, tvbuff_t*, packet_info*, proto_item*, proto_tree*));

extern expert_field ei_isi_unknown_packet;
extern expert_field ei_isi_unsupported_packet;

#endif
